;angular.module('Landers.angular')
    .directive('money', ['Flat', '$compile', function(Flat, $compile){
        return {
            restrict : 'E',
            link : function($scope, $ele, $attrs) {
                var amount = $attrs['amount'];
                if ( !amount ) return;
                var unit = 'unit' in $attrs ? $attrs['unit'] : '元';
                var classname = $attrs['class'];

                var html = [];
                html.push('<span ng-show="' + amount + ' !== undefined">');
                html.push('<em class="cny"></em>');
                if ( $attrs['uiSref'] ) {
                    html.push('<a ui-sref="' + $attrs['uiSref'] + '" class="amount ' + classname + '">{{' + amount + '}}</a>');
                } else {
                    html.push('<span class="amount ' + classname + '" ng-bind-html="' + amount + '"></span>');
                }
                html.push('<em class="unit-cny">' + unit + '</em>');
                html.push('</span>');
                html = html.join(' ');
                $ele.replaceWith($compile(html)($scope));
            }
        };
    }]);