;angular.module('Landers.angular')
    .factory('InjectService', ['$ocLazyLoad', '$injector', function($ocLazyLoad, $injector){
        var injected = {};
        return {
            urls:function(urls, callback){
                $ocLazyLoad.load(urls).then(callback);
            },
            module : function(urls) { //url, inject, callback
                var injects = [], callback;
                for (var i=1; i<arguments.length;i++) {
                    if (angular.isFunction(arguments[i])) {
                        callback = arguments[i];
                    } else {
                        injects.push(arguments[i]);
                    }
                }
                var strInjects = injects.join('.');
                if (injected[strInjects]) {
                    callback && callback(injected[strInjects]);
                } else {
                    this.urls(urls, function(){
                        if (callback) injects.push(callback);
                        $injector.invoke(injects);
                    });
                }
            }
        };
    }]);